Bug 4211 - There should be a desktop widget for mail (like rss)
: There should be a desktop widget for mail (like rss)
Status: CLOSED FIXED
Product: Desktop Widgets
Email Widget
: 5.0/(1.2009.42-11)
: All Maemo
: Medium enhancement with 10 votes (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: mail-applet-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-03-17 23:28 UTC by timeless
Modified: 2010-05-27 23:32 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description timeless (reporter) 2009-03-17 23:28:40 UTC
SOFTWARE VERSION:
diablo

STEPS TO REPRODUCE THE PROBLEM:
1. go to the home screen
2. tap the home menu
3. tap select applets
4. browse through the list

EXPECTED OUTCOME:
1. applet for rss
2. applet for mail

ACTUAL OUTCOME:
there's an applet for rss (and browser for that matter...) but not for mail

REPRODUCIBILITY:
always.

OTHER COMMENTS:
I should be able to specify a folder or search rule and scroll through it or
see previews. by default it should show me unread mail in inbox (newest first).
Comment 1 Matthew Wronka 2010-03-25 15:04:29 UTC
It would seem reasonable for this to be integrated into the Conversation
widget--preferably as an option or in some way configurable such that
heavy-used [e.g. lists] mailboxes wouldn't clutter what might be more
immediately pertinent messages--would it not?
Comment 2 timeless (reporter) 2010-03-25 15:07:33 UTC
i heard a rumor this is actually fixed in 1.2.
Comment 3 Andre Klapper maemo.org 2010-04-06 14:42:36 UTC
Definitely available in upcoming PR1.2.
Comment 4 avalentine1984 2010-05-25 14:09:48 UTC
The Mail Widget does not work with Nokia Messaging,

I have two accounts (o2 & gmail)associated with my Nokia messaging account.
I would expect to see unread email for these accounts in the widget, however
all I see is that I have 0 unread emails when this is not the case.
Comment 5 timeless (reporter) 2010-05-25 15:20:58 UTC
avalentine1984: please file your own bug.

All I asked for was a widget for mail, like rss. I didn't specify what things
it would support, or if you could click on the wrench (you can't).

As an example, i've filed bug 10263 about the fact that the wrench doesn't
work.

verified: there is an applet and it does something (it even seems to work w/
MfE)
Comment 6 avalentine1984 2010-05-25 15:26:10 UTC
My appologies it seemed like the appropriate place to file this. On a side note
I have no issues with the wrench, it allows you to choose what accounts you
want displayed.
Comment 7 Neil MacLeod maemo.org 2010-05-26 19:42:42 UTC
(In reply to comment #4)
> The Mail Widget does not work with Nokia Messaging,
> 
> I have two accounts (o2 & gmail)associated with my Nokia messaging account.
> I would expect to see unread email for these accounts in the widget, however
> all I see is that I have 0 unread emails when this is not the case.
> 

I've raised bug 10315 for this issue - please vote. Apologies for the bug spam.